﻿using System;
using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 바
        /// </summary>
        private Bar bar;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Bar 클래스 : BarStyle 속성을 사용해 바 스타일 설정하기";

            this.styleComboBox.DropDownStyle = ComboBoxStyle.DropDownList;

            this.styleComboBox.Items.Add(BarStyles.Rectangle     );
            this.styleComboBox.Items.Add(BarStyles.Pyramid       );
            this.styleComboBox.Items.Add(BarStyles.InvPyramid    );
            this.styleComboBox.Items.Add(BarStyles.Cylinder      );
            this.styleComboBox.Items.Add(BarStyles.Ellipse       );
            this.styleComboBox.Items.Add(BarStyles.Arrow         );
            this.styleComboBox.Items.Add(BarStyles.RectGradient  );
            this.styleComboBox.Items.Add(BarStyles.Cone          );
            this.styleComboBox.Items.Add(BarStyles.InvArrow      );
            this.styleComboBox.Items.Add(BarStyles.InvCone       );
            this.styleComboBox.Items.Add(BarStyles.Bevel         );
            this.styleComboBox.Items.Add(BarStyles.SlantCube     );
            this.styleComboBox.Items.Add(BarStyles.Diamond       );
            this.styleComboBox.Items.Add(BarStyles.RoundRectangle);

            this.styleComboBox.SelectedIndex = 0;

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            this.bar = new Bar();

            this.bar.BarStyle = BarStyles.Rectangle;
            this.bar.Color    = Color.Red;

            this.bar.FillSampleValues(6);

            this.tChart.Series.Add(this.bar);

            this.styleComboBox.SelectedIndexChanged += styleComboBox_SelectedIndexChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 스타일 콤보 박스 선택 인덱스 변경시 처리하기 - styleComboBox_SelectedIndexChanged(sender, e)

        /// <summary>
        /// 스타일 콤보 박스 선택 인덱스 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void styleComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.bar.BarStyle = (BarStyles)this.styleComboBox.SelectedItem;
        }

        #endregion
    }
}